attribute vec4 position;

//attribute float bright;
attribute vec4 color;
attribute vec4 colorAdd;
attribute vec2 texCoord;

uniform mat4 projectionMatrix;
uniform mat4 modelViewMatrix;

//varying float brightOut;
varying vec4 colorOut;
varying vec4 colorAddOut;
varying vec2 texCoordOut;
varying vec4 positionOut;       // -1.0 ~ 1.0

void main()
{
	gl_Position = positionOut = projectionMatrix * modelViewMatrix * position;

//    brightOut = bright;
	colorOut = color;
	colorAddOut = colorAdd;
	texCoordOut = texCoord;
}
